<?php
//TITLE=IRC proxy with transparent character set conversion

$title = 'IRC proxy with transparent character set conversion';
$progname = 'iconvircproxy';

$text = array(
   '1. Purpose' => "

 In an ideal world, everyone would use <a href=\"http://www.utf-8.com/\">UTF-8</a>
 for text transmission. UTF-8 supports nearly all characters of all languages,
 including the thousands of ideographs from Chinese.
<p>
 However, in the world we live in, people use different encodings.
 Finnish people use ISO-8859-1, ISO-8859-15 or Windows-1252; Japanese people
 use ISO-2022-JP, SHIFT-JIS or EUC-JP; Polish people use ISO-8859-2, and so on.
 People using different encodings will see other people's text as an unreadable
 mess of code.
<p>
 This proxy is a solution for IRC users who want to be able to talk
 with everyone despite of their character set differences.
 It's primary audience is Finnish, English and Swedish users who
 occassionally talk on Japanese channels, but it may be useful
 for others too.
<p>
 With the proxy, all you need is an IRC client that understands and speaks
 fluently UTF-8.<br>
 When you talk in Finnish, people will see your text in ISO-8859-1, which
 is what they usually want.<br>
 When you talk in Japanese, people will see your text in ISO-2022-JP, which
 is what they usually want.<br>
 And whenever people talk in ISO-8859-1, SHIFT-JIS, ISO-2022-JP or UTF-8,
 your IRC client will only see UTF-8 and will be happy about it
 - and you will be happy because you don't have to bother changing
 character sets all time when you move from language environment
 to another.

", '1. Installation' => "

To install iconvircproxy, follow the following instructions:
<ol>
 <li>Download it:<br>
   <pre>wget http://bisqwit.iki.fi/src/arch/iconvircproxy-1.3.0.tar.bz2</pre>
  </li>
 <li>Extract it:<br>
   <pre>tar xvfj iconvircproxy-1.3.0.tar.bz2</pre>
  </li>
 <li>Compile it:<br>
   <pre>cd iconvircproxy-1.3.0
make</pre>
  </li>
</ol>

 You may now delete all files from the working directory
 except <tt>ircproxy.cfg</tt> and <tt>iconvircproxy</tt>.
<p>
 To configure iconvircproxy, edit the <tt>ircproxy.cfg</tt> file
 and adjust the settings as you see fit. The default settings are
 ok for most IRCNet users.
<p>
 Run iconvircproxy: <pre>./iconvircproxy</pre>
<p>
 After <tt>iconvircproxy</tt> has been started, connect your
 IRC client to the computer the proxy is running at. In most
 IRC clients, this command will do it: <pre>/server your.host.name:6622</pre>
 <br>
 Replace the number 6622 with the port you specified in
 the <tt>listen_port</tt> setting in the configuration file.

", '1. Recommended IRC clients' => "

Currently at least <a href=\"http://www.irssi.org/\">Irssi</a>
and <a href=\"http://www.xchat.org/\">X-Chat</a> have full support for UTF-8.<br>
Support is also coming to
<a href=\"http://www.eterna.com.au/ircii/\">IrcII</a>.

", '1. Troubleshooting' => "

 Q: I get a \"too many user connections\" message.<br>
 A: This message comes from your IRC server. You can try to find
 a less restrictive IRC server.
<p>
 Q: Everything else works fine, but Japanese characters show as squares.<br>
 A: Do you have a Japanese font (such as MS&nbsp;Gothic or Watanabe) installed?
  You do? Does your terminal program (the window where the text appears in)
  support the Japanese symbols? Most terminal programs (and mIRC) only
  support one 256-character font even when they're interpreting UTF-8.<br>
  X-Chat does not have this problem. For Linux users, gnome-terminal is
  a good UTF-8 -compatible terminal with no XIM/font problems.
  For Windows, a good UTF-8 compatible ssh client is still to be found.
  PuTTY doesn't qualify.

", '1. Copying' => "

iconvircproxy has been written by Joel Yliluoma, a.k.a.
<a href=\"http://iki.fi/bisqwit/\">Bisqwit</a>,<br>
and is distributed under the terms of the
<a href=\"http://www.gnu.org/licenses/licenses.html#GPL\">General Public License</a> (GPL).

", '1. Requirements' => "

For compiling of this program, GNU make is probably required.

");
include '/WWW/progdesc.php';
